<template>
  <nav>
    <v-toolbar flat app>
      <v-toolbar-side-icon
        class="grey--text text--darken-1"
        @click="toggleDrawer"
      ></v-toolbar-side-icon>
      <v-toolbar-title class="text-uppercase">
        <router-link to="/">
          <span class="font-weight-light grey--text text--darken-1">Movie</span>
          <span class="red--text text--darken-1">Master</span>
        </router-link>
      </v-toolbar-title>
      <v-spacer></v-spacer>
    </v-toolbar>
    <v-navigation-drawer :value="showDrawer" light app>
      <v-list>
        <v-list-tile
          v-for="(link, index) in drawerLinkList"
          :key="index"
          router
          :to="link.route"
          exact
          active-class="active-link"
        >
          <v-list-tile-action>
            <v-icon>{{ link.icon }}</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>{{ link.text }}</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>
        <v-layout align-center column class="py-3">
          <NewMovie />
          <DeleteMovie />
        </v-layout>
      </v-list>
    </v-navigation-drawer>
  </nav>
</template>

<script>
import NewMovie from "./NewMovie";
import DeleteMovie from "./DeleteMovie";
import { mapGetters, mapActions } from "vuex";
export default {
  components: {
    NewMovie,
    DeleteMovie
  },
  data() {
    return {
      drawerLinkList: [{ icon: "movie", text: "All Movies", route: "/movies" }]
    };
  },
  computed: {
    ...mapGetters({
      showDrawer: "navBar/getShowDrawer"
    })
  },
  methods: {
    ...mapActions({
      toggleDrawer: "navBar/toggleDrawer"
    })
  }
};
</script>
<style>
.active-link {
  color: rgb(219, 36, 36);
}
a.router-link-active {
  text-decoration: none;
}
</style>
